package com.qmth.distributed.print.business.cache;

import com.qmth.distributed.print.business.util.RedisUtil;
import com.qmth.distributed.print.common.contant.SpringContextHolder;
import com.qmth.distributed.print.common.contant.SystemConstant;

import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @Description: 生成pdf cache
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/26
 */
public class CreatePdfCacheUtil {
    private static RedisUtil redisUtil = SpringContextHolder.getBean(RedisUtil.class);

    public static void setCurrentPaperType(Long printPlanId, Map<String, Object> map) {
        redisUtil.setForHash(RedisKeyHelper.printPlanIdCurrentPaperTypeKey(printPlanId), map);
        redisUtil.expire(RedisKeyHelper.printPlanIdCurrentPaperTypeKey(printPlanId), SystemConstant.REDIS_CREATE_PDF_EXPIRE_TIME, TimeUnit.SECONDS);
    }

    public static Map getCurrentPaperType(Long printPlanId) {
        return redisUtil.getHashEntries(RedisKeyHelper.printPlanIdCurrentPaperTypeKey(printPlanId));
    }

    public static void deleteCurrentPaperType(Long printPlanId) {
        redisUtil.delete(RedisKeyHelper.printPlanIdCurrentPaperTypeKey(printPlanId));
    }
}
